OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableNode

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableElement
          org.opennms.netmgt.poller.pollables.PollableContainer
              org.opennms.netmgt.poller.pollables.PollableNode

public class PollableNode
extends PollableContainer

Represents a PollableNode

Author:
  brozow

Nested Class Summary
`class` `PollableNode.Lock` Represents a Lock

Nested classes inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`PollableContainer.Iter, PollableContainer.SimpleIter`

Field Summary
`private PollableNode.Lock` `m_lock`
`private int` `m_nodeId`

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
``

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableElement
``

Constructor Summary
`PollableNode(PollableNetwork network, int nodeId)`

Method Summary
`Event` `createDownEvent(java.util.Date date)`
`PollableInterface` `createInterface(java.net.InetAddress addr)`
`protected java.lang.Object` `createMemberKey(PollableElement member)`
`PollableService` `createService(java.net.InetAddress addr, java.lang.String svcName)`
`Event` `createUpEvent(java.util.Date date)`
`PollStatus` `doPoll(PollableElement elem)`
`PollContext` `getContext()`
`PollableInterface` `getInterface(java.net.InetAddress addr)`
`PollableElement` `getLockRoot()`
`PollableNetwork` `getNetwork()`
`int` `getNodeId()`
`PollableService` `getService(java.net.InetAddress addr, java.lang.String svcName)`
`boolean` `isTreeLockAvailable()`
`void` `obtainTreeLock(long timeout)`
`void` `releaseTreeLock()`
`java.lang.String` `toString()`
`protected void` `visitThis(PollableVisitor v)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`addMember, delete, deleteMember, findMemberWithDescendent, forEachMember, getMember, getMemberCount, getMembers, getMemberStatus, poll, poll, pollRemainingMembers, processCause, processMemberStatusChanges, processResolution, processStatusChange, recalculateStatus, removeMember, resetStatusChanged, resolveAllOutages, selectPollElement, visit, visitMembers`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableElement
`createOutage, getCause, getParent, getStatus, hasOpenOutage, isDeleted, isStatusChanged, processComingUp, processGoingDown, processLingeringCauses, resolveOutage, setCause, setParent, updateStatus, withTreeLock, withTreeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeId

    private int m_nodeId

### m_lock

    private PollableNode.Lock m_lock

Constructor Detail

### PollableNode

    public PollableNode(PollableNetwork network,
                        int nodeId)

Method Detail

### getNodeId

    public int getNodeId()

### createInterface

    public PollableInterface createInterface(java.net.InetAddress addr)

### getInterface

    public PollableInterface getInterface(java.net.InetAddress addr)

### getNetwork

    public PollableNetwork getNetwork()

### getContext

    public PollContext getContext()

  Specified by:
    `getContext` in class `PollableElement`

### createMemberKey

    protected java.lang.Object createMemberKey(PollableElement member)

  Specified by:
    `createMemberKey` in class `PollableContainer`
  Parameters:
    `member` -
  Returns:

### createService

    public PollableService createService(java.net.InetAddress addr,
                                         java.lang.String svcName)

  Parameters:
    `svcName` -
  Returns:

### getService

    public PollableService getService(java.net.InetAddress addr,
                                      java.lang.String svcName)

  Parameters:
    `svcName` -
  Returns:

### visitThis

    protected void visitThis(PollableVisitor v)

  Overrides:
    `visitThis` in class `PollableContainer`

### createDownEvent

    public Event createDownEvent(java.util.Date date)

  Specified by:
    `createDownEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### createUpEvent

    public Event createUpEvent(java.util.Date date)

  Specified by:
    `createUpEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### toString

    public java.lang.String toString()

### getLockRoot

    public PollableElement getLockRoot()

  Overrides:
    `getLockRoot` in class `PollableElement`

### isTreeLockAvailable

    public boolean isTreeLockAvailable()

  Overrides:
    `isTreeLockAvailable` in class `PollableElement`

### obtainTreeLock

    public void obtainTreeLock(long timeout)

  Overrides:
    `obtainTreeLock` in class `PollableElement`

### releaseTreeLock

    public void releaseTreeLock()

  Overrides:
    `releaseTreeLock` in class `PollableElement`

### doPoll

    public PollStatus doPoll(PollableElement elem)

  Overrides:
    `doPoll` in class `PollableElement`
  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.